Subject: Re: 2.6.35-rc4 ppc crash when loading radeon modeset=1

From: Michel Dänzer <[email-masked]>
Date: Tue, 13 Jul 2010 18:09:56 +0200

On Die, 2010-07-13 at 18:02 +0200, jjDaNiMoTh wrote: 
> 2010/7/13 Michel Dänzer <[email-masked]>:
> > What does the log file contain with modeset=1?
> 
> We have no message, after the X.org freeze.
> 
> messages.log:
> [...]
> Jul 13 17:11:01 jim kernel: [drm] Num pipes: 1
> Jul 13 17:13:39 jim kernel: Using PowerMac machine description
> 
> (we have rebooted)
> 
> In Xorg.0.log there aren't information after the crash, only a right startup.

Are you looking at the right log file, not the one from the new X server
after the reboot?

Maybe you could post the full dmesg, Xorg.0.log and X server stderr
output (should be captured in the gdm/kdm log file) from trying with
modeset=1.

> At this time, I think it isn't a kernel problem, am I right?

With modeset=1 it most likely is a kernel (configuration) problem.

-- 
Earthling Michel Dänzer           |                http://www.vmware.com
Libre software enthusiast         |          Debian, X and DRI developer